## libtk-tablematrix-perl 1.23

=== debian/changelog ===
libtk-tablematrix-perl (1.23-7) unstable; urgency=medium

  * Take over for the Debian Perl Group on maintainer's request.
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser field
    (source stanza). Changed: Homepage field changed to metacpan.org URL;
    Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Bart Martens
    <bartm@debian.org>); Replace (build-)dependency on ancient version of perl
    with a dependency on perl without a version (as permitted by Debian Policy
    3.8.3).
  * debian/watch: use metacpan-based URL.
  * debian/copyright: use Copyright-Format 1.0.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 4.4.1.
  * Drop unneeded version constraints from (build) dependencies.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove (build) dependency on perl-modules.
  * Set bindnow linker flag in debian/rules.
  * debian/rules: move file removals to override_dh_auto_install.
  * Enable tests during build.
  * Fix more example scripts in debian/patches/demos.diff.
  * Make all examples executables.
  * Fix another POD issue in debian/patches/pod.diff.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Oct 2019 22:52:55 +0200

libtk-tablematrix-perl (1.23-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use $Config{vendorarch} in debian/rules to find perl lib path dynamically
    (Closes: #755028)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 19:28:58 +0200

libtk-tablematrix-perl (1.23-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * No longer using cdbs.  Fixed debian-rules-uses-deprecated-makefile.
  * debian/patches/pod.diff: Fixed manpage-has-errors-from-pod2man.
  * Fixed debhelper-but-no-misc-depends.
  * Fixed ancient-standards-version.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Oct 2011 14:34:20 +0200

libtk-tablematrix-perl (1.23-5) unstable; urgency=low

  * debian/control: Added version, perl-tk (>= 1:804.028).  Closes: #468442.
  * debian/control: Homepage, Standards-Version, and my e-mail address.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Mar 2008 07:28:01 +0100

libtk-tablematrix-perl (1.23-4) unstable; urgency=low

  * debian/patches/01_display.diff: Removed.
  * debian/rules: Disabled tests.  Closes: #430095.

 -- Bart Martens <bartm@knars.be>  Sat, 30 Jun 2007 11:36:19 +0200

libtk-tablematrix-perl (1.23-3) unstable; urgency=low

  * debian/patches/01_display.diff: Updated.  Closes: #430095.

 -- Bart Martens <bartm@knars.be>  Fri, 22 Jun 2007 13:32:15 +0200

libtk-tablematrix-perl (1.23-2) unstable; urgency=low

  * debian/patches/01_display.diff: Added.  Closes: #428533.

 -- Bart Martens <bartm@knars.be>  Fri, 15 Jun 2007 13:51:35 +0200

libtk-tablematrix-perl (1.23-1) unstable; urgency=low

  * New upstream release.
  * debian/*: Switch to cdbs.

 -- Bart Martens <bartm@knars.be>  Wed, 11 Apr 2007 20:10:15 +0200

libtk-tablematrix-perl (1.22-1) unstable; urgency=low

  * New maintainer.  Closes: #344458.
  * New upstream release.
  * debian/control: Removed version number from homepage.

 -- Bart Martens <bartm@knars.be>  Tue,  2 May 2006 07:16:00 +0200

libtk-tablematrix-perl (1.2-5) unstable; urgency=low

  * Orphaning this package as previously announce
  * Bump Standards-Version
  * debhelper compatibility level 5

 -- Florian Ernst <florian@debian.org>  Sun, 30 Apr 2006 12:16:44 +0200

libtk-tablematrix-perl (1.2-4) unstable; urgency=high

  * urgency=high due to RC bug already present in testing
  * Compile against new perl-tk (Closes: #353431: xmltv-gui: 8392508 is not a
    hash at /usr/lib/perl5/Tk/Widget.pm line 190)

 -- Florian Ernst <florian@debian.org>  Tue, 28 Feb 2006 17:30:23 +0100

libtk-tablematrix-perl (1.2-3) unstable; urgency=low

  * debian/watch: fixed
  * debian/source.lintian-overrides: add override for configure-generated-file-in-source

 -- Florian Ernst <florian@debian.org>  Mon,  9 Jan 2006 16:06:46 +0100

libtk-tablematrix-perl (1.2-2) unstable; urgency=low

  * New maintainer. (Closes: #331101: ITA: libtk-tablematrix-perl --
    Table/matrix widget extension to Perl/Tk)
  * debian/control:
    + add upstream Homepage to long description
    + use B-D on libx11-dev instead the whole of xlibs-dev
  * debian/copyright: extend note about previous and current maintainer
  * debian/rules: clean up some generated files
  * Minor adjustments to follow latest Perl Policy
  * Standards-Version 3.6.2, no changes required

 -- Florian Ernst <florian@debian.org>  Fri,  7 Oct 2005 16:28:23 +0200

libtk-tablematrix-perl (1.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.6.1 (no package changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Jan 2005 11:15:56 -0600

libtk-tablematrix-perl (1.01-4) unstable; urgency=low

  * Install package demo files (closes: #227685).
  * Added #!/usr/bin/perl interpreter line to top of all demo files.
  * Comment why 'make test' cannot be run all of the time (requires an X display).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Feb 2004 13:39:30 -0600

libtk-tablematrix-perl (1.01-3) unstable; urgency=low

  * Bumped standards version to 3.5.9.
  * Updated debian/watch to proper URL.
  * Changed section from 'interpreters' to 'perl'.
  * Added ${shlibs:Depends} to Depends: line.
  * Added dh_shlibdeps call in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue,  1 Jul 2003 18:43:41 -0500

libtk-tablematrix-perl (1.01-2) unstable; urgency=low

  * Changed maintainer address from @ieee.org to @debian.org.
  * Removed DH_COMPAT settting from debian/rules.
  * Added debian/compat file to replace DH_COMPAT setting.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 30 Mar 2003 13:13:21 -0600

libtk-tablematrix-perl (1.01-1) unstable; urgency=low

  * New upstream release.

