=== debian/control ===
Source: libtk-tablematrix-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libx11-dev,
               perl,
               perl-tk,
               xauth,
               xvfb
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl.git
Homepage: https://metacpan.org/release/Tk-TableMatrix

Package: libtk-tablematrix-perl
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         perl-tk
Description: Table/matrix widget extension to Perl/Tk
 This is the CPAN Perl module Tk::TableMatrix.
 .
 Tk::TableMatrix is a table/matrix widget extension to Perl/Tk
 for displaying data in a table (or spreadsheet) format.
 The basic features of the widget are:
 .
  * multi-line cells
  * support for embedded windows (one per cell)
  * row & column spanning
  * variable width columns / height rows (interactively resizable)
  * row and column titles
  * multiple data sources ((perl hash|| perl callback) &| internal caching)
  * supports standard Tk reliefs, fonts, colors, etc.
  * x/y scrollbar support
  * 'tag' styles per row, column or cell to change visual appearance
  * in-cell editing - returns value back to data source
  * support for disabled (read-only) tables or cells (via tags)
  * multiple selection modes, with "active" cell
  * multiple drawing modes to get optimal performance for larger tables
  * optional 'flashes' when things update
  * cell validation support
