## libtk-tablematrix-perl 1.26

=== debian/changelog ===
libtk-tablematrix-perl (1.26-1) unstable; urgency=medium

  * debian/control: update Build-Depends for cross builds.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  * Import upstream versions 1.24, 1.25, 1.26.
  * Drop debian/tests/pkg-perl/use-name.
    The module name can be taken from the new META.{json,yml}.
  * Update upstream copyright holders.
  * Update years of packaging copyright.
  * Add debian/upstream/metadata.
  * Drop debian/patches/demos.diff.
  * Refresh debian/patches/pod.diff.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * debian/rules: add hashbang to example scripts.
  * Install upstream Changes, and not ChangeLog, with
    dh_installchangelogs.

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Oct 2020 15:09:59 +0100
