=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
-               perl,
                perl-tk,
-               xauth,
-               xvfb
-Standards-Version: 4.4.1
+               perl-xs-dev,
+               perl:native,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtk-tablematrix-perl.git
 Homepage: https://metacpan.org/release/Tk-TableMatrix
+Rules-Requires-Root: no
 
 Package: libtk-tablematrix-perl
 Architecture: any
-Depends: ${perl:Depends},
+Depends: ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
          perl-tk
 Description: Table/matrix widget extension to Perl/Tk
  This is the CPAN Perl module Tk::TableMatrix.
