=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -20,4 +20,8 @@
 
 override_dh_installexamples:
 	dh_installexamples
+	sed -i '1i #!/usr/bin/perl\n' $(TMP)/usr/share/doc/$(PACKAGE)/examples/*
 	chmod +x $(TMP)/usr/share/doc/$(PACKAGE)/examples/*
+
+override_dh_installchangelogs:
+	dh_installchangelogs Changes
