=== debian/watch ===
version=4
https://metacpan.org/release/Tk-TableMatrix   .*/Tk-TableMatrix-v?@ANY_VERSION@@ARCHIVE_EXT@$
