## libtk-tablematrix-perl 1.29

=== debian/changelog ===
libtk-tablematrix-perl (1.29-2build4) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 13:41:34 +0200

libtk-tablematrix-perl (1.29-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:47:36 +0000

libtk-tablematrix-perl (1.29-2build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:34:34 +0100

libtk-tablematrix-perl (1.29-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 03:52:22 +0100

libtk-tablematrix-perl (1.29-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * Declare compliance with Debian Policy 4.6.2.
  * d/clean: new: cleanup build artifacts. (Closes: #1048613)

 -- Étienne Mollier <emollier@debian.org>  Sun, 31 Dec 2023 16:08:23 +0100

libtk-tablematrix-perl (1.29-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.29.
  * Declare compliance with Debian Policy 4.6.1.
  * pod.diff: refresh patch.
  * d/rules: cleanup autogenerated Makefiles.
  * pod.diff: add dep3 header.
  * typos.patch: add; fix typos caught by lintian.
  * pod.diff: forwarded alongside typos.patch.
  * d/copyright: bump copyright year (and add myself).

 -- Étienne Mollier <emollier@debian.org>  Mon, 21 Nov 2022 19:13:25 +0100

libtk-tablematrix-perl (1.26-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Nov 2021 02:10:26 +0100
