=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,18 @@
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
 
-ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+include /usr/share/dpkg/architecture.mk
+PERLVER := $(shell perl -MConfig -e 'print $$Config{version}')
+ARCHLIB := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER) -MConfig -e 'print $$Config{vendorarch}')
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
+
+execute_before_dh_auto_clean:
+	# Cleanup autogenerated Makefiles targeting the wrong platform.
+	find -name Makefile -delete
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
